package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolItemRemoveAsyncRequest struct {
	/*
	   sku信息     */
	Param0 *[]domain.AlibabaWdkMarketingItempoolItemRemoveAsyncItemPoolSku `json:"param0" required:"true" `
	/*
	   活动信息     */
	Param1 *domain.AlibabaWdkMarketingItempoolItemRemoveAsyncCommonActivityParam `json:"param1" required:"true" `
	/*
	   alibaba.wdk.marketing.version.generate接口生成     */
	Version *int64 `json:"version" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest) SetParam0(v []domain.AlibabaWdkMarketingItempoolItemRemoveAsyncItemPoolSku) *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest) SetParam1(v domain.AlibabaWdkMarketingItempoolItemRemoveAsyncCommonActivityParam) *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest {
	s.Param1 = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest) SetVersion(v int64) *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest {
	s.Version = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStructList(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	if req.Version != nil {
		paramMap["version"] = *req.Version
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolItemRemoveAsyncRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
